import QtQuick 2.4
import Ubuntu.Components 1.3
import QtQuick.Window 2.2
import "../img"


Page {
    id: display_page

    title: "Night Clock"

    head.locked: true
    head.visible: false
    head.actions: [
        Action {
            iconName: "settings"
            text: i18n.tr("Settings")

            onTriggered: {
                display_page.head.visible = false
                page_stack.push(Qt.resolvedUrl("Settings.qml"))
            }
        },
        Action {
            iconName: "info"
            text: i18n.tr("Informations")

            onTriggered: {
                display_page.head.visible = false
                page_stack.push(Qt.resolvedUrl("About.qml"))
            }
        }
    ]

    MouseArea {
        anchors.fill: parent
        onClicked: {
            display_page.head.visible = !display_page.head.visible
        }
    }
    Rectangle {
        id: display_back_rect

        color: back_color
        anchors.fill: parent

        Row {
            id: time_row

            width: time_h.width * 4 + time_colon.width
            anchors {
                horizontalCenter: parent.horizontalCenter
                top: parent.top
                topMargin: units.gu(2)
            }

            Icon {
                id: time_h

                source: is24format ? "../img/" + time_24.charAt(0) + ".svg" : "../img/" + time_12.charAt(0) + ".svg"
                width: Math.min(display_back_rect.width*4/17, (root_window.height - day_label.height - date_label.height - units.gu(8))*8/15)
                height: width * 3/2
                color: text_color
            }

            Icon {
                id: time_hh

                source: is24format ? "../img/" + time_24.charAt(1) + ".svg" : "../img/" + time_12.charAt(1) + ".svg"
                width: time_h.width
                height: width * 3/2
                color: text_color
            }

            Icon {
                id: time_colon

                source: "../img/colon.svg"
                width: height * 9/54
                height: time_h.height
                color: text_color
            }

            Icon {
                id: time_m

                source: is24format ? "../img/" + time_24.charAt(3) + ".svg" : "../img/" + time_12.charAt(3) +".svg"
                width: time_h.width
                height: width * 3/2
                color: text_color
            }

            Icon {
                id: time_mm

                source: is24format ? "../img/" + time_24.charAt(4) + ".svg" : "../img/" + time_12.charAt(4) +".svg"
                width: time_h.width
                height: width * 3/2
                color: text_color
            }
        }

        Icon {
            id: time_ap

            visible: !is24format
            source: "../img/" + time_12.charAt(6) +"m.svg"
            anchors {
                top: time_row.bottom
                right: time_row.right
            }
            height: time_h.height/4
            width: height
            color: text_color
        }

        Label {
            id: day_label

            color: text_color
            text: this_day
            anchors {
                top: time_ap.bottom
                topMargin: units.gu(1)
                left: parent.left
                leftMargin: units.gu(2)
            }
            textSize: Label.XLarge
        }

        Label {
            id: date_label

            color: text_color
            text: this_date
            anchors {
                top: day_label.bottom
                topMargin: units.gu(1)
                left: day_label.left
            }
            textSize: Label.XLarge
        }
    }
}

